summaryrefslogtreecommitdiff
path: root/recipes/images
diff options
context:
space:
mode:
authorMax Krummenacher <max.krummenacher@toradex.com>2015-08-01 16:49:32 +0200
committerMax Krummenacher <max.krummenacher@toradex.com>2015-08-01 16:49:32 +0200
commitaff2c3977a8b775f5d2bd389f0f5938ace82db84 (patch)
tree4aa9d18f89da9d61f941cc2210aa35674682c43a /recipes/images
parent1b9de1cb6c67ec3e75a83896e57e9b3b59883a0e (diff)
update.sh: fix test for parted
Now that we exit on failure the test for a user accessible parted must not return an error code.
Diffstat (limited to 'recipes/images')
-rwxr-xr-xrecipes/images/files/library/imx6/update.sh2
-rwxr-xr-xrecipes/images/files/library/tegra/update.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/recipes/images/files/library/imx6/update.sh b/recipes/images/files/library/imx6/update.sh
index 4dd7592..1932804 100755
--- a/recipes/images/files/library/imx6/update.sh
+++ b/recipes/images/files/library/imx6/update.sh
@@ -9,7 +9,7 @@ set -e
# sometimes we need the binary echo, not the shell builtin
ECHO=`which echo`
#some distros have fs tools only in root's path
-PARTED=`which parted` 2> /dev/null
+PARTED=`which parted` 2> /dev/null || true
if [ -e "$PARTED" ] ; then
MKFSVFAT=`which mkfs.vfat`
else
diff --git a/recipes/images/files/library/tegra/update.sh b/recipes/images/files/library/tegra/update.sh
index 862ceb5..e765990 100755
--- a/recipes/images/files/library/tegra/update.sh
+++ b/recipes/images/files/library/tegra/update.sh
@@ -8,7 +8,7 @@ set -e
# sometimes we need the binary echo, not the shell builtin
ECHO=`which echo`
#some distros have fs tools only in root's path
-PARTED=`which parted` 2> /dev/null
+PARTED=`which parted` 2> /dev/null || true
if [ -e "$PARTED" ] ; then
MKFSVFAT=`which mkfs.vfat`
else